Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 3bec50ae2f0e34d160b7c5524ce22736baa10388)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -1571,9 +1563,9 @@
                     if len(item) < 4:
                         continue
-                    ## hide statictext +/-
-                    if item[3] != None and item[3].IsShown():
+                    # hide statictext +/-
+                    if item[3] is not None and item[3].IsShown():
                         item[3].Hide()
-                    ## hide textcrtl  for error after fit
-                    if item[4] != None and item[4].IsShown():
+                    # hide textcrtl  for error after fit
+                    if item[4] is not None and item[4].IsShown():
                         item[4].Hide()
         return
@@ -1584,11 +1576,11 @@
         """
         # get the default values
-        if self.dxl == None:
+        if self.dxl is None:
             self.dxl = 0.0
-        if self.dxw == None:
+        if self.dxw is None:
             self.dxw = ""
-        if self.dx_min == None:
+        if self.dx_min is None:
             self.dx_min = SMEAR_SIZE_L
-        if self.dx_max == None:
+        if self.dx_max is None:
             self.dx_max = SMEAR_SIZE_H
 
@@ -1611,7 +1603,7 @@
         elif self.data.__class__.__name__ == "Data2D" or \
             self.enable2D:
-            if data.dqx_data == None or  data.dqy_data == None:
+            if data.dqx_data is None or data.dqy_data is None:
                 return
-            elif self.current_smearer != None \
+            elif self.current_smearer is not None \
                 and data.dqx_data.any() != 0 \
                 and data.dqx_data.any() != 0:
@@ -1623,5 +1615,5 @@
                 return
         # check if it is pinhole smear and get min max if it is.
-        if data.dx != None and all(data.dx != 0):
+        if data.dx is not None and not numpy.any(data.dx):
             self.smear_type = "Pinhole"
             self.dq_l = data.dx[0]
@@ -1629,11 +1621,11 @@
 
         # check if it is slit smear and get min max if it is.
-        elif data.dxl != None or data.dxw != None:
+        elif data.dxl is not None or data.dxw is not None:
             self.smear_type = "Slit"
-            if data.dxl != None and all(data.dxl != 0):
+            if data.dxl is not None and not numpy.all(data.dxl, 0):
                 self.dq_l = data.dxl[0]
-            if data.dxw != None and all(data.dxw != 0):
+            if data.dxw is not None and not numpy.all(data.dxw, 0):
                 self.dq_r = data.dxw[0]
-        #return self.smear_type,self.dq_l,self.dq_r
+        # return self.smear_type,self.dq_l,self.dq_r
 
     def _show_smear_sizer(self):
@@ -1659,5 +1651,5 @@
 
             self.smear_description_dqdata.Show(True)
-            if self.smear_type != None:
+            if self.smear_type is not None:
                 self.smear_description_smear_type.Show(True)
                 if self.smear_type == 'Slit':
@@ -1750,7 +1742,7 @@
         Select an accuracy in 2D custom smear: Xhigh, High, Med, or Low
         """
-        #event.Skip()
+        # event.Skip()
         # Check if the accuracy is same as before
-        #self.smear2d_accuracy = event.GetEventObject().GetValue()
+        # self.smear2d_accuracy = event.GetEventObject().GetValue()
         self.smear2d_accuracy = self.smear_accuracy.GetValue()
         if self.pinhole_smearer.GetValue():
@@ -1758,5 +1750,5 @@
         else:
             self.onSmear(event=None)
-            if self.current_smearer != None:
+            if self.current_smearer is not None:
                 self.current_smearer.set_accuracy(accuracy=\
                                                   self.smear2d_accuracy)
@@ -1790,6 +1782,6 @@
         Build a panel to allow to edit Mask
         """
-        from sas.sasgui.guiframe.local_perspectives.plotting.masking \
-        import MaskPanel as MaskDialog
+        from sas.sasgui.guiframe.local_perspectives.plotting.masking import \
+            MaskPanel as MaskDialog
 
         self.panel = MaskDialog(base=self, data=self.data, id=wx.NewId())
@@ -1802,5 +1794,5 @@
         is_valid_qrange = self._update_paramv_on_fit()
 
-        if is_valid_qrange and self.model != None:
+        if is_valid_qrange and self.model is not None:
             self.panel.MakeModal(False)
             event.Skip()
@@ -1808,5 +1800,5 @@
             self._draw_model()
             self.show_npts2fit()
-        elif self.model == None:
+        elif self.model is None:
             self.panel.MakeModal(False)
             event.Skip()
@@ -1875,5 +1867,5 @@
                     npts = len(data.x)
                 except:
-                    msg = "Unable to find min/max/length of \n data named %s" % \
+                    msg = "Unable to find min/max/length of \n data named %s" %\
                                 data.filename
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg,
@@ -1892,5 +1884,5 @@
                                                info="error"))
                     raise ValueError, msg
-                ## Maximum value of data
+                # Maximum value of data
                 qmax = math.sqrt(x * x + y * y)
                 npts = len(data.data)
@@ -1904,4 +1896,5 @@
         flag = False
         is_data = False
+        npts = 0
         try:
             old_id = self.data.id
@@ -1915,5 +1908,4 @@
                 flag = True
         if data is not None:
-            id = data.id
             if is_data:
                 self.graph_id = self.data.group_id
@@ -1930,5 +1922,5 @@
             self._set_save_flag(False)
         else:
-            if self.model != None:
+            if self.model is not None:
                 self._set_bookmark_flag(not self.batch_on)
                 self._keep.Enable(not self.batch_on)
@@ -1937,5 +1929,4 @@
                 self._set_preview_flag(True)
 
-            self._set_smear(data)
             # more disables for 2D
             if self.data.__class__.__name__ == "Data2D" or \
@@ -1944,7 +1935,7 @@
                 self.pinhole_smearer.Enable(True)
                 self.default_mask = copy.deepcopy(self.data.mask)
-                if self.data.err_data == None or\
-                        (self.data.err_data == 1).all() or\
-                        (self.data.err_data == 0).all():
+                if self.data.err_data is None or\
+                        numpy.all(err == 1 for err in self.data.err_data) or \
+                        not numpy.any(self.data.err_data):
                     self.dI_didata.Enable(False)
                     self.dI_noweight.SetValue(True)
@@ -1957,7 +1948,8 @@
                 self.slit_smearer.Enable(True)
                 self.pinhole_smearer.Enable(True)
-                if self.data.dy == None or\
-                     (self.data.dy == 1).all() or\
-                     (self.data.dy == 0).all():
+
+                if self.data.dy is None or\
+                     numpy.all(self.data.dy == 1) or\
+                     not numpy.any(self.data.dy):
                     self.dI_didata.Enable(False)
                     self.dI_noweight.SetValue(True)
@@ -1967,5 +1959,5 @@
                     self.dI_didata.SetValue(True)
                     self.weightbt_string = self.dI_didata.GetLabelText()
-            # Enable weighting radio uttons
+            # Enable weighting radio buttons
             self.dI_noweight.Enable(True)
             self.dI_sqrdata.Enable(True)
@@ -1976,5 +1968,5 @@
             data_name = self.data.name
             _, _, npts = self.compute_data_range(self.data)
-            #set maximum range for x in linear scale
+            # set maximum range for x in linear scale
             if not hasattr(self.data, "data"):  # Display only for 1D data fit
                 self.btEditMask.Disable()
@@ -1985,8 +1977,8 @@
 
         self.Npts_total.SetValue(str(npts))
-        #default:number of data points selected to fit
+        # default:number of data points selected to fit
         self.Npts_fit.SetValue(str(npts))
         self.Npts_total.SetEditable(False)
-        self.Npts_total.SetBackgroundColour(\
+        self.Npts_total.SetBackgroundColour(
                                     self.GetParent().GetBackgroundColour())
 
@@ -1998,5 +1990,5 @@
         # send graph_id to page_finder
         self._manager.set_graph_id(uid=self.uid, graph_id=self.graph_id)
-        #focus the page
+        # focus the page
         if check_data_validity(data):
             self.data_box_description.SetForegroundColour(wx.BLUE)
@@ -2010,9 +2002,6 @@
         self.on_set_focus(None)
         self.Refresh()
-        #update model plot with new data information
+        # update model plot with new data information
         if flag:
-            #set model view button
-            self.onSmear(None)
-
             if self.data.__class__.__name__ == "Data2D":
                 self.enable2D = True
@@ -2022,6 +2011,6 @@
                 self.model_view.SetLabel("1D Mode")
             self.model_view.Disable()
-            #replace data plot on combo box selection
-            #by removing the previous selected data
+            #  replace data plot on combo box selection
+            # by removing the previous selected data
             try:
                 wx.PostEvent(self._manager.parent,
@@ -2030,5 +2019,5 @@
             except:
                 pass
-            #plot the current selected data
+            # plot the current selected data
             wx.PostEvent(self._manager.parent,
                          NewPlotEvent(action="check", plot=self.data,
@@ -2050,6 +2039,6 @@
             self.reset_page_helper(state)
 
-            self.select_param(event=None)
-            #Save state_fit
+            self.select_param()
+            # Save state_fit
             self.save_current_state_fit()
         except:
@@ -2090,5 +2079,5 @@
         else:
             for qx in self.data.x:
-                if qx >= qmin and qx <= qmax:
+                if qmax >= qx >= qmin:
                     npts2fit += 1
         return npts2fit
@@ -2119,5 +2108,5 @@
         # make sure stop button to fit button all the time
         self._on_fit_complete()
-        if out == None or not numpy.isfinite(chisqr):
+        if out is None or not numpy.isfinite(chisqr):
             raise ValueError, "Fit error occured..."
 
@@ -2126,10 +2115,10 @@
         dispersity = ''
 
-        #Hide textctrl boxes of errors.
+        # Hide textctrl boxes of errors.
         self._clear_Err_on_Fit()
 
-        #Check if chi2 is finite
-        if chisqr != None and numpy.isfinite(chisqr):
-            #format chi2
+        # Check if chi2 is finite
+        if chisqr is not None and numpy.isfinite(chisqr):
+            # format chi2
             chi2 = format_number(chisqr, True)
             self.tcChi.SetValue(chi2)
@@ -2138,5 +2127,5 @@
             self.tcChi.SetValue("-")
 
-        #Hide error title
+        # Hide error title
         if self.text2_3.IsShown() and not self.is_mac:
             self.text2_3.Hide()
@@ -2145,5 +2134,5 @@
             if self.enable_disp.GetValue():
                 if hasattr(self, "text_disp_1"):
-                    if self.text_disp_1 != None and not self.is_mac:
+                    if self.text_disp_1 is not None and not self.is_mac:
                         self.text_disp_1.Hide()
         except:
@@ -2152,11 +2141,11 @@
 
         i = 0
-        #Set the panel when fit result are list
+        # Set the panel when fit result are list
 
         for item in self.param_toFit:
-            if len(item) > 5 and item != None:
+            if len(item) > 5 and item is not None:
 
                 if item[0].IsShown():
-                    ## reset error value to initial state
+                    # reset error value to initial state
                     if not self.is_mac:
                         item[3].Hide()
@@ -2165,24 +2154,24 @@
                         if item[1] == p_name[ind]:
                             break
-                    if len(out) > 0 and out[ind] != None:
+                    if len(out) > 0 and out[ind] is not None:
                         val_out = format_number(out[ind], True)
                         item[2].SetValue(val_out)
 
-                    if(cov != None and len(cov) == len(out)):
+                    if(cov is not None and len(cov) == len(out)):
                         try:
-                            if dispersity != None:
+                            if dispersity is not None:
                                 if self.enable_disp.GetValue():
                                     if hasattr(self, "text_disp_1"):
-                                        if self.text_disp_1 != None:
+                                        if self.text_disp_1 is not None:
                                             if not self.text_disp_1.IsShown()\
-                                                and not self.is_mac:
+                                                  and not self.is_mac:
                                                 self.text_disp_1.Show(True)
                         except:
                             pass
 
-                        if cov[ind] != None:
+                        if cov[ind] is not None:
                             if numpy.isfinite(float(cov[ind])):
                                 val_err = format_number(cov[ind], True)
-				item[4].SetForegroundColour(wx.BLACK)
+                                item[4].SetForegroundColour(wx.BLACK)
                             else:
                                 val_err = 'NaN'
@@ -2196,9 +2185,9 @@
             else:
                 raise ValueError, "onsetValues: Invalid parameters..."
-        #Show error title when any errors displayed
+        # Show error title when any errors displayed
         if has_error:
             if not self.text2_3.IsShown():
                 self.text2_3.Show(True)
-        ## save current state
+        # save current state
         self.save_current_state()
 
@@ -2207,5 +2196,5 @@
             self.Refresh()
         self._mac_sleep(0.1)
-        #plot model ( when drawing, do not update chisqr value again)
+        # plot model ( when drawing, do not update chisqr value again)
         self._draw_model(update_chisqr=False, source='fit')
 
@@ -2223,5 +2212,5 @@
         # compute weight for the current data
         flag_weight = self.get_weight_flag()
-        if is_2D == None:
+        if is_2D is None:
             is_2D = self._is_2D()
         self._manager.set_fit_weight(uid=self.uid,
@@ -2242,8 +2231,8 @@
         self._update_paramv_on_fit()
 
-        if event != None:
+        if event is not None:
             tcrtl = event.GetEventObject()
             # event case of radio button
-            if tcrtl.GetValue() == True:
+            if tcrtl.GetValue():
                 self.dx_min = 0.0
                 self.dx_max = 0.0
@@ -2263,13 +2252,13 @@
 
         self.sizer_set_smearer.Layout()
-        ## we need FitInside here not just self.Layout to ensure all the sizers
-        ## end up with the necessasary space to in the scroll panel. In
-        ## particular the compute and fit buttons end up on top of each other
-        ## PDB Nov 28 2015. 
+        # we need FitInside here not just self.Layout to ensure all the sizers
+        # end up with the necessasary space to in the scroll panel. In
+        # particular the compute and fit buttons end up on top of each other
+        # PDB Nov 28 2015.
         self.FitInside()
 
-        if event != None:
+        if event is not None:
             event.Skip()
-        #self._undo.Enable(True)
+        # self._undo.Enable(True)
         self.save_current_state()
         event = PageInfoEvent(page=self)
@@ -2346,5 +2335,5 @@
                 get_pin_max.SetBackgroundColour("pink")
                 msg = "Model Error:This value can not be negative!!!"
-            elif self.dx_min != None and self.dx_max != None:
+            elif self.dx_min is not None and self.dx_max is not None:
                 if self._is_2D():
                     data.dqx_data[data.dqx_data == 0] = self.dx_min
@@ -2357,10 +2346,10 @@
                                            self.dx_max + step / 1.1,
                                            step)
-            elif self.dx_min != None:
+            elif self.dx_min is not None:
                 if self._is_2D():
                     data.dqx_data[data.dqx_data == 0] = self.dx_min
                 else:
                     data.dx[data.dx == 0] = self.dx_min
-            elif self.dx_max != None:
+            elif self.dx_max is not None:
                 if self._is_2D():
                     data.dqy_data[data.dqy_data == 0] = self.dx_max
@@ -2370,13 +2359,13 @@
             # 2D need to set accuracy
             if self._is_2D():
-                self.current_smearer.set_accuracy(accuracy=\
-                                                  self.smear2d_accuracy)
-
-        if msg != None:
+                self.current_smearer.set_accuracy(
+                    accuracy=self.smear2d_accuracy)
+
+        if msg is not None:
             wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
         else:
             get_pin_min.SetBackgroundColour("white")
             get_pin_max.SetBackgroundColour("white")
-        ## set smearing value whether or not the data contain the smearing info
+        # set smearing value whether or not the data contain the smearing info
 
         enable_smearer = not self.disable_smearer.GetValue()
@@ -2404,5 +2393,5 @@
         wx.CallAfter(self.save_current_state)
 
-        if msg != None:
+        if msg is not None:
             return False
         else:
@@ -2420,5 +2409,5 @@
         msg = None
         # for event given
-        if event != None:
+        if event is not None:
             tcrtl = event.GetEventObject()
             # event case of radio button
@@ -2441,16 +2430,16 @@
         self._show_smear_sizer()
         self.sizer_set_smearer.Layout()
-        ## we need FitInside here not just self.Layout to ensure all the sizers
-        ## end up with the necessasary space to in the scroll panel. In
-        ## particular the compute and fit buttons end up on top of each other
-        ## PDB Nov 28 2015. 
+        # we need FitInside here not just self.Layout to ensure all the sizers
+        # end up with the necessasary space to in the scroll panel. In
+        # particular the compute and fit buttons end up on top of each other
+        # PDB Nov 28 2015.
         self.FitInside()
 
-        if event != None:
+        if event is not None:
             event.Skip()
         self.save_current_state()
         event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
-        if msg != None:
+        if msg is not None:
             wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
 
@@ -2541,5 +2530,5 @@
 
         self.current_smearer = smear_selection(data, self.model)
-        ## set smearing value whether or not the data contain the smearing info
+        # set smearing value whether or not the data contain the smearing info
         enable_smearer = not self.disable_smearer.GetValue()
         self._manager.set_smearer(smearer=self.current_smearer,
@@ -2564,8 +2553,8 @@
         if self._is_changed_slit():
             msg = self._set_slit_smear()
-        #self._undo.Enable(True)
+        # self._undo.Enable(True)
         self.save_current_state()
 
-        if msg != None:
+        if msg is not None:
             return False
         else:
@@ -2577,5 +2566,5 @@
         are computed when fitting
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         if self.data is None:
@@ -2590,12 +2579,12 @@
 
         self.sizer_set_smearer.Layout()
-        ## we need FitInside here not just self.Layout to ensure all the sizers
-        ## end up with the necessasary space to in the scroll panel. In
-        ## particular the compute and fit buttons end up on top of each other
-        ## PDB Nov 28 2015. 
+        # we need FitInside here not just self.Layout to ensure all the sizers
+        # end up with the necessasary space to in the scroll panel. In
+        # particular the compute and fit buttons end up on top of each other
+        # PDB Nov 28 2015.
         self.FitInside()
         self._set_weight()
 
-        ## set smearing value whether or not the data contain the smearing info
+        # set smearing value whether or not the data contain the smearing info
         enable_smearer = not self.disable_smearer.GetValue()
         wx.CallAfter(self._manager.set_smearer, uid=self.uid,
@@ -2618,5 +2607,5 @@
         """
         self._get_smear_info()
-        #renew smear sizer
+        # renew smear sizer
         if self.smear_type is not None:
             self.smear_description_smear_type.SetValue(str(self.smear_type))
@@ -2658,5 +2647,5 @@
         """
         try:
-            if event == None:
+            if event is None:
                 output = "-"
             elif not numpy.isfinite(event.output):
@@ -2693,5 +2682,5 @@
         self._manager.set_param2fit(self.uid, param2fit)
 
-    def select_param(self, event):
+    def select_param(self, event=None):
         """
         Select TextCtrl  checked for fitting purpose and stores them
@@ -2700,10 +2689,10 @@
         self.param_toFit = []
         for item in self.parameters:
-            #Skip t ifhe angle parameters if 1D data
+            # Skip t ifhe angle parameters if 1D data
             if self.data.__class__.__name__ != "Data2D" and\
                         not self.enable2D:
                 if item in self.orientation_params:
                     continue
-            #Select parameters to fit for list of primary parameters
+            # Select parameters to fit for list of primary parameters
             if item[0].GetValue() and item[0].IsShown():
                 if not (item in self.param_toFit):
@@ -2714,8 +2703,8 @@
                     self.param_toFit.remove(item)
 
-        #Select parameters to fit for list of fittable parameters
+        # Select parameters to fit for list of fittable parameters
         #        with dispersion
         for item in self.fittable_param:
-            #Skip t ifhe angle parameters if 1D data
+            # Skip t ifhe angle parameters if 1D data
             if self.data.__class__.__name__ != "Data2D" and\
                         not self.enable2D:
@@ -2726,9 +2715,9 @@
                     self.param_toFit.append(item)
             else:
-                #remove parameters from the fitting list
+                # remove parameters from the fitting list
                 if item in self.param_toFit:
                     self.param_toFit.remove(item)
 
-        #Calculate num. of angle parameters
+        # Calculate num. of angle parameters
         if self.data.__class__.__name__ == "Data2D" or \
                        self.enable2D:
@@ -2736,11 +2725,11 @@
         else:
             len_orient_para = len(self.orientation_params)  # assume even len
-        #Total num. of angle parameters
+        # Total num. of angle parameters
         if len(self.fittable_param) > 0:
             len_orient_para *= 2
 
         self.save_current_state_fit()
-        if event != None:
-            ## post state to fit panel
+        if event is not None:
+            # post state to fit panel
             event = PageInfoEvent(page=self)
             wx.PostEvent(self.parent, event)
@@ -2768,5 +2757,5 @@
         self.orientation_params_disp = []
 
-        if model == None:
+        if model is None:
             self.sizer3.Layout()
             self.SetupScrolling()
@@ -2776,10 +2765,10 @@
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         sizer = wx.GridBagSizer(5, 5)
-        ## save the current model
+        # save the current model
         self.model = model
 
         keys = self.model.getParamList()
 
-        #list of dispersion parameters
+        # list of dispersion parameters
         self.disp_list = self.model.getDispParamList()
 
@@ -2814,5 +2803,5 @@
                 return -1
             # both have a number
-            if num_a != None and num_b != None:
+            if num_a is not None and num_b is not None:
                 if num_a > num_b:
                     return -1
@@ -2827,7 +2816,7 @@
                     return 1
             # one of them has a number
-            elif num_a != None:
+            elif num_a is not None:
                 return 1
-            elif num_b != None:
+            elif num_b is not None:
                 return -1
             # no numbers
@@ -2835,6 +2824,6 @@
                 return cmp(a.lower(), b.lower())
         
-        # keys obtained now from ordered dict, so commenting alphabetical ordering
-        #keys.sort(custom_compare)
+        # keys obtained now from ordered dict, so commenting alphabetical
+        # ordering keys.sort(custom_compare)
 
         iy = 0
@@ -2844,26 +2833,26 @@
         ix += 1
         self.text2_2 = wx.StaticText(self, wx.ID_ANY, 'Value')
-        sizer.Add(self.text2_2, (iy, ix), (1, 1), \
+        sizer.Add(self.text2_2, (iy, ix), (1, 1),
                             wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 2
         self.text2_3 = wx.StaticText(self, wx.ID_ANY, 'Error')
-        sizer.Add(self.text2_3, (iy, ix), (1, 1), \
-                            wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+        sizer.Add(self.text2_3, (iy, ix), (1, 1),
+                  wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         if not self.is_mac:
             self.text2_3.Hide()
         ix += 1
         self.text2_min = wx.StaticText(self, wx.ID_ANY, 'Min')
-        sizer.Add(self.text2_min, (iy, ix), (1, 1), \
-                            wx.EXPAND | wx.ADJUST_MINSIZE, 0)
-        #self.text2_min.Hide()
+        sizer.Add(self.text2_min, (iy, ix), (1, 1),
+                  wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+        # self.text2_min.Hide()
         ix += 1
         self.text2_max = wx.StaticText(self, wx.ID_ANY, 'Max')
-        sizer.Add(self.text2_max, (iy, ix), (1, 1), \
-                            wx.EXPAND | wx.ADJUST_MINSIZE, 0)
-        #self.text2_max.Hide()
+        sizer.Add(self.text2_max, (iy, ix), (1, 1),
+                  wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+        # self.text2_max.Hide()
         ix += 1
         self.text2_4 = wx.StaticText(self, wx.ID_ANY, '[Units]')
-        sizer.Add(self.text2_4, (iy, ix), (1, 1), \
-                            wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+        sizer.Add(self.text2_4, (iy, ix), (1, 1),
+                  wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         self.text2_4.Hide()
 
@@ -2871,30 +2860,30 @@
         for item in keys:
 
-            if not item in self.disp_list and not item in \
+            if item not in self.disp_list and not item in \
                     self.model.orientation_params:
 
-                ##prepare a spot to store errors
-                if not item in self.model.details:
+                # prepare a spot to store errors
+                if item not in self.model.details:
                     self.model.details[item] = ["", None, None]
 
                 iy += 1
                 ix = 0
-                if (self.model.__class__ in \
-                    self.model_list_box["Multi-Functions"] or \
+                if (self.model.__class__ in
+                    self.model_list_box["Multi-Functions"] or
                     self.temp_multi_functional)\
                     and (item in self.model.non_fittable):
                     non_fittable_name = wx.StaticText(self, wx.ID_ANY, item)
-                    sizer.Add(non_fittable_name, (iy, ix), (1, 1), \
+                    sizer.Add(non_fittable_name, (iy, ix), (1, 1),
                             wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 21)
-                    ## add parameter value
+                    # add parameter value
                     ix += 1
                     value = self.model.getParam(item)
                     if len(self.model.fun_list) > 0:
-                        #num = item.split('_')[1][5:7]
+                        # num = item.split('_')[1][5:7]
                         fun_box = wx.ComboBox(self, wx.ID_ANY, size=(100, -1),
                                     style=wx.CB_READONLY, name='%s' % item)
                         self._set_fun_box_list(fun_box)
                         fun_box.SetSelection(0)
-                        #self.fun_box.SetToolTipString("A function
+                        # self.fun_box.SetToolTipString("A function
                         #    describing the interface")
                         wx.EVT_COMBOBOX(fun_box, wx.ID_ANY, self._on_fun_box)
@@ -2903,5 +2892,5 @@
                                                 size=(_BOX_WIDTH, 20),
                                 style=wx.TE_PROCESS_ENTER, name='%s' % item)
-                        fun_box.SetToolTipString(\
+                        fun_box.SetToolTipString(
                                 "Hit 'Enter' after typing to update the plot.")
                         fun_box.SetValue(format_number(value, True))
@@ -2911,9 +2900,9 @@
                                                 None, None])
                 else:
-                    ## add parameters name with checkbox for selecting to fit
+                    # add parameters name with checkbox for selecting to fit
                     cb = wx.CheckBox(self, wx.ID_ANY, item)
                     cb.SetValue(CHECK_STATE)
                     cb.SetToolTipString(" Check mark to fit.")
-                    #cb.SetValue(True)
+                    # cb.SetValue(True)
                     wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
 
@@ -2921,17 +2910,17 @@
                               wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 5)
 
-                    ## add parameter value
+                    # add parameter value
                     ix += 1
                     value = self.model.getParam(item)
                     ctl1 = ModelTextCtrl(self, wx.ID_ANY, size=(_BOX_WIDTH, 20),
                                          style=wx.TE_PROCESS_ENTER)
-                    ctl1.SetToolTipString(\
+                    ctl1.SetToolTipString(
                                 "Hit 'Enter' after typing to update the plot.")
                     ctl1.SetValue(format_number(value, True))
                     sizer.Add(ctl1, (iy, ix), (1, 1), wx.EXPAND)
-                    ## text to show error sign
+                    # text to show error sign
                     ix += 1
                     text2 = wx.StaticText(self, wx.ID_ANY, '+/-')
-                    sizer.Add(text2, (iy, ix), (1, 1), \
+                    sizer.Add(text2, (iy, ix), (1, 1),
                               wx.EXPAND | wx.ADJUST_MINSIZE, 0)
                     if not self.is_mac:
@@ -2994,5 +2983,5 @@
         iy += 1
         ix = 0
-        #Add tile for orientational angle
+        # Add tile for orientational angle
         for item in keys:
             if item in self.model.orientation_params:
